package com.mortals.common.cluster.dispatcher.event;

import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.Data;

/**
 * cluster event model
 */
@Data
public class Event implements CborSerializable {

    @JsonCreator
    public Event(int eventCode, String body, long sendTime, String fromIp) {
        this.eventCode = eventCode;
        this.body = body;
        this.sendTime = sendTime;
        this.fromIp = fromIp;
    }

    private int eventCode;

    private String body;

    private long sendTime;

    private String fromIp;


}
