package com.mortals.common.queue;

import com.mortals.mqtt.broker.common.config.BrokerConfig;

public interface MessageQueueFactory {


    /**
     * 创建消息生产者
     * @return
     */
    TbQueueProducer<TbQueueMsg> createMsgProducer(BrokerConfig brokerConfig);

    /**
     * 创建消息消费者
     * @return
     */
    TbQueueConsumer<TbQueueMsg> createMsgConsumer(BrokerConfig brokerConfig);
}
