package com.mortals.mqtt.broker.common.model;

import lombok.Data;

import java.util.Map;

/**
 * @author: finegirl
 * @date: 2021/5/27 9:50
 * @description: 设备客户端连接基本信息
 **/
@Data
public class ClientModel {

    private String clientId;

    private String product;

    private Map<String, String> extParamsMap;

    private boolean cleanSession;

    private String userName;

    private byte[] password;
}
