package com.mortals.mqtt.broker.common.model;

import lombok.Data;

/**
 * @author: finegirl
 * @date: 2021/5/13 14:12
 * @description: 设备基本信息
 **/
@Data
public class DeviceModel {
    //客户端id
    private String clientId;
    //是否在线，0离线，1在线，99未激活
    private Integer online;
    //上线时间
    private String onlineTime;
    //topics允许范围
    private String filterTopics;

    //产品名称
    private String productKey;
    //设备名称
    private String deviceName;

    private String deviceSecret;
    //设备上行消息平均速率 个/秒
    private int avgFlowRate;
    //最大速率
    private int maxFlowRate;

}
