package com.mortals.mqtt.broker.services.device;


import com.mortals.mqtt.broker.common.model.DeviceModel;
import com.mortals.mqtt.broker.common.model.ProductModel;

import java.util.Set;

public interface DeviceService {


    void start();

    void shutdown();

    /**
     * 获取所有设备产品
     * @return
     */
    Set<String> getAllDeviceClients();


    /**
     * 获取所有设备产品
     * @return
     */
    Set<DeviceModel> getAllDeviceModel();



    /**
     * 获取所有产品
     * @return
     */
    Set<ProductModel> getAllProductModel();


}
