package com.mortals.mqtt.broker.store.rdb.mapper;

import com.mortals.mqtt.broker.store.rdb.dao.OfflineMessageDO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface OfflineMessageMapper {

    @Insert("INSERT INTO mortals_mqtt_offline_message(clientId,content,createTime) VALUES (#{clientId},#{content},#{createTime})")
    Long storeOfflineMessage(OfflineMessageDO offlineMessageDO);

    @Delete("DELETE FROM mortals_mqtt_offline_message WHERE clientId = #{clientId}")
    Integer clearOfflineMessage(String clientId);

    @Select("SELECT id,clientId,content,createTime FROM mortals_mqtt_offline_message WHERE clientId = #{clientId} order by createTime asc")
    List<OfflineMessageDO> getAllOfflineMessage(String clientId);
}
