package com.mortals.mqtt.broker.store.rdb.mapper;

import com.mortals.mqtt.broker.store.rdb.dao.RetainMessageDO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Select;
import java.util.List;

public interface RetainMessageMapper {

    @Insert("INSERT INTO mortals_mqtt_retain_message(topic,content) VALUES(#{topic},#{content})"
            + " on DUPLICATE key update content = #{content}")
    Long storeRetainMessage(RetainMessageDO retainMessageDO);

    @Select("SELECT id,topic,content FROM mortals_mqtt_retain_message")
    List<RetainMessageDO> getAllRetainMessage();

    @Delete("DELETE FROM mortals_mqtt_retain_message WHERE topic = #{topic}")
    Integer delRetainMessage(String topic);
}
