
package com.mortals.mqtt.broker.store.rdb.mapper;

import com.mortals.mqtt.broker.store.rdb.dao.SessionDO;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Select;

public interface SessionMapper {

    @Select("select clientId,state,offlineTime from mortals_mqtt_session where clientId = #{clientId}")
    SessionDO getSession(String clientId);

    @Insert("insert into mortals_mqtt_session(clientId,state,offlineTime) values "
            + "(#{clientId},#{state},#{offlineTime}) "
            + "on DUPLICATE key update state = #{state},offlineTime = #{offlineTime}")
    Long storeSession(SessionDO sessionDO);

}
