package com.mortals.mqtt.broker.store.rdb.mapper;

import com.mortals.mqtt.broker.store.rdb.dao.WillMessageDO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Select;

public interface WillMessageMapper {

    @Insert("INSERT INTO mortals_mqtt_will_message(clientId,content,createTime) VALUES(#{clientId},#{content},#{createTime})"
            + " on DUPLICATE key update content = #{content},createTime = #{createTime}")
    Long storeWillMessage(WillMessageDO willMessageDO);

    @Select("SELECT id,clientId,content,createTime FROM mortals_mqtt_will_message WHERE clientId = #{clientId}")
    WillMessageDO getWillMessage(String clientId);

    @Delete("DELETE FROM mortals_mqtt_will_message WHERE clientId = #{clientId}")
    Integer delWillMessage(String clientId);

}
