package mortals.mqtt.guice;

import com.google.inject.Inject;

/**
 * @author: finegirl
 * @date: 2021/5/24 11:30
 * @description: 测试guice依赖注入
 **/
public class MyApp implements Application {
    private UserService userService;
    private LogService logService;

    private String test;


    @Inject
    public MyApp(UserService userService, LogService logService) {
        this.userService = userService;
        this.logService = logService;

        this.test="555";

    }

    @Override
    public void work() {
        userService.process();
        logService.log("程序正常运行");

        System.out.println(test);

    }
}