package mortals.mqtt.guice;

import com.google.inject.AbstractModule;

/**
 * @author: finegirl
 * @date: 2021/5/24 11:32
 * @description: 继承guice AbstractModule
 **/
public class MyAppModule extends AbstractModule {
    @Override
    protected void configure() {
        //调用AbstractModule类提供的一些方法来配置依赖关系  接口与实现类关系

        //当Guice遇到接口或父类需要注入具体实现的时候，就会使用这里配置的实现类或子类来注入
        bind(LogService.class).to(LogServiceImpl.class);
        bind(UserService.class).to(UserServiceImpl.class);
        bind(Application.class).to(MyApp.class);
       // bind(Application.class).toInstance();
    }
}
