package mortals.mqtt.metric;

import com.codahale.metrics.ConsoleReporter;
import com.codahale.metrics.Meter;
import com.codahale.metrics.MetricRegistry;

import java.util.concurrent.TimeUnit;

/**
 * @author: finegirl
 * @date: 2021/5/24 15:15
 * @description: //TODO 请完善注释信息
 **/
public class GetStarted {
    static final MetricRegistry metrics = new MetricRegistry();

    public static void main(String args[]) {
        Meter requests = metrics.meter("requests");
        requests.mark();
        startReport();
        wait5Seconds();
    }

    static void startReport() {
        ConsoleReporter reporter = ConsoleReporter.forRegistry(metrics)
                .convertRatesTo(TimeUnit.SECONDS)
                .convertDurationsTo(TimeUnit.MILLISECONDS)
                .build();
        reporter.start(1, TimeUnit.SECONDS);
    }

    static void wait5Seconds() {
        try {
            Thread.sleep(5 * 1000);
        } catch (InterruptedException e) {
        }
    }
}