package com.mortals.xhx.service.common.code;

/**
 * Broker节点需要的设备缓存信息
 * @author Administrator
 */
public class DeviceBrokerInfo {
	
	/**
	 * 设备平均限流
	 */
	private int avgFlowRate;
	
	/**
	 * Broker节点id
	 */
	private String clientId;
	
	/**
	 * 设备名称
	 */
	private String deviceName;
	
	/**
	 * 设备密匙
	 */
	private String deviceSecret;
	
	/**
	 * 设备最大限流
	 */
	private int maxFlowRate;
	
	/**
	 * 产品key
	 */
	private String productKey;

	public int getAvgFlowRate() {
		return avgFlowRate;
	}

	public void setAvgFlowRate(int avgFlowRate) {
		this.avgFlowRate = avgFlowRate;
	}

	public String getClientId() {
		return clientId;
	}

	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	public String getDeviceName() {
		return deviceName;
	}

	public void setDeviceName(String deviceName) {
		this.deviceName = deviceName;
	}

	public String getDeviceSecret() {
		return deviceSecret;
	}

	public void setDeviceSecret(String deviceSecret) {
		this.deviceSecret = deviceSecret;
	}

	public int getMaxFlowRate() {
		return maxFlowRate;
	}

	public void setMaxFlowRate(int maxFlowRate) {
		this.maxFlowRate = maxFlowRate;
	}

	public String getProductKey() {
		return productKey;
	}

	public void setProductKey(String productKey) {
		this.productKey = productKey;
	}

	@Override
	public String toString() {
		return "DeviceBrokerInfo [avgFlowRate=" + avgFlowRate + ", clientId=" + clientId + ", deviceName=" + deviceName
				+ ", deviceSecret=" + deviceSecret + ", maxFlowRate=" + maxFlowRate + ", productKey=" + productKey
				+ "]";
	}
}
