package com.mortals.xhx.service.msgcodec.model.func;

import org.apache.poi.ss.formula.functions.T;

import java.util.ArrayList;
import java.util.List;

/**
 * 物模型明细中数据类型为复杂类型的数据
 * 包括：struct和array
 * @author shaosheng
 * @date 2021/5/25 下午4:14
 */
public class FuncItemDetailDataTypeToComplex {

    /** 产品物模型节点明细表的主键ID*/
    private long functionItemDetailId;

    /** struct和array类型中包含的数据*/
    private List<FuncItemDetail> dataDetail = new ArrayList();

    public long getFunctionItemDetailId() {
        return functionItemDetailId;
    }

    public List<FuncItemDetail> getDataDetail() {
        return dataDetail;
    }
}
