
package com.mortals.xhx.service.queue.kafka;


import com.mortals.xhx.service.common.code.MessageHeader;
import com.mortals.xhx.service.queue.TbQueueMsgHeaders;

import java.util.HashMap;
import java.util.Map;

public class DefaultTbQueueMsgHeaders implements TbQueueMsgHeaders {

    protected final Map<String, byte[]> data = new HashMap<>();

    public DefaultTbQueueMsgHeaders() {

        data.put(MessageHeader.TOPIC, new byte[]{});
        data.put(MessageHeader.QOS, new byte[]{(byte) 0});

    }

    @Override
    public byte[] put(String key, byte[] value) {
        return data.put(key, value);
    }

    @Override
    public byte[] get(String key) {
        return data.get(key);
    }

    @Override
    public Map<String, byte[]> getData() {
        return data;
    }
}
