package com.mortals.xhx.common.code;

import java.util.HashMap;
import java.util.Map;

/**
 * 校验类型
 */
public enum CheckTypeEnum {
	//1,弱校验：只校验设备数据的idetifier和dataType字段，不校验其他字段，流转全量数据。2,免校验：对上报的数据不进行校验，流转全量数据,
	/** 1：弱校验 */
	WEAK(1, "弱校验"),
    /** 2：免校验 */
	NO(2, "免校验");

    private int value;
    private String msg;

    CheckTypeEnum(int value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public int getValue() {
        return this.value;
    }

    public static Map<String, String> getEnumMap() {
        Map<String, String> resultMap = new HashMap<>();
        CheckTypeEnum[] contractTypeEnums = CheckTypeEnum.values();
        for (CheckTypeEnum contractTypeEnum : contractTypeEnums) {
            resultMap.put(String.valueOf(contractTypeEnum.value), contractTypeEnum.msg);
        }
        return resultMap;
    }
}
