package com.mortals.mqtt.broker.bootstrap.netty;

import io.netty.channel.Channel;

public interface ChannelEventListener {

    /**
     * 通道连接事件
     */
    void onChannelConnect(String remoteAddr, Channel channel);

    /**
     * 通道关闭
     */
    void onChannelClose(String remoteAddr,Channel channel);

    /**
     * 通道心跳
     */
    void onChannelIdle(String remoteAddr,Channel channel);

    /**
     * 通道异常
     */
    void onChannelException(String remoteAddr,Channel channel);
}
