package com.mortals.mqtt.broker.common;


/**
 * redis缓存参数key
 *
 * @author karlhoo
 */
public final class RedisCacheKeys {


    /**
     * 获取设备key
     * @return
     */
    public static String getDeviceModelLockKey() {
        return "com:mortails:device:model";
    }


    /**
     * 订阅树
     * @return
     */
    public static String getTopicTreeKey() {
        return "com:mortails:tree:topic";
    }


    /**
     * 订阅树
     * @return
     */
    public static String getSubscriptionKey() {
        return "com:mortails:subscript:";
    }



    /**
     * broker缓存的设备在线状态key
     * @return
     */
    public static String getBrokerDeviceStstus() {
        return "Broker:DevStatus";
    }

    /**
     * Broker节点需要的设备缓存信息
     * @return
     */
    public static String getBrokerDeviceInfo () { return "Broker:DeviceInfo"; }




}
