package com.mortals.mqtt.broker.common.model;

import lombok.Data;

/**
 * Broker节点需要的设备缓存信息
 * @author Administrator
 */
@Data
public class DeviceBrokerInfo {
	
	/**
	 * 设备平均限流
	 */
	private int avgFlowRate;
	
	/**
	 * Broker节点id
	 */
	private String clientId;
	
	/**
	 * 设备名称
	 */
	private String deviceName;
	
	/**
	 * 设备密匙
	 */
	private String deviceSecret;
	
	/**
	 * 设备最大限流
	 */
	private int maxFlowRate;
	
	/**
	 * 产品key
	 */
	private String productKey;


}
