package com.mortals.mqtt.broker.common.model;

import lombok.Data;

/**
 * broker缓存的实时设备状态
 * @author Administrator
 */
@Data
public class DeviceStatusInfo {

	/**
	 * 在线状态
	 */
	private int online;
	
	/**
	 * 状态上报时间
	 * 毫秒System.currentTimeMillis()
	 */
	private Long time;

}
