/**
 * Copyright (c) 2018, Mr.Wang (recallcode@aliyun.com) All rights reserved.
 */

package com.mortals.mqtt.broker.common.model;

import lombok.Data;

import java.io.Serializable;

/**
 * 与服务管理传递内部消息
 */
@Data
public class InternalMessage implements Serializable {

    private static final long serialVersionUID = -1L;

    private String clientId;

    private String topic;

    //消息体
    private byte[] messageBytes;

}
