package mortals.mqtt.broker;

import org.junit.Test;

import java.io.*;
import java.util.Arrays;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.util.stream.Collectors;

/**
 * @author: finegirl
 * @date: 2021/5/14 20:00
 * @description: //TODO 请完善注释信息
 **/
public class LogTest {
    @Test
    public void testStr(){
        String str="cdbao.device1|timestamp=1621216142449,_v=paho-java-1.0.0,securemode=2,signmethod=hmacsha256|";

    System.out.println(str.startsWith("|",str.length()-1));
    System.out.println(str.indexOf("|"));
    System.out.println(str.lastIndexOf("|"));

    System.out.println(str.substring(0,str.indexOf("|")));

    String extParams = str.substring(str.indexOf("|") + 1, str.lastIndexOf("|"));
    System.out.println(extParams);
    Map<String, String> collect = Arrays.stream(extParams.split(","))
            .map(item -> item.split("="))
            .collect(Collectors.toMap(x -> x[0], y -> y[1]));

    collect.entrySet().forEach(System.out::println);

    System.out.println(collect.get("timestamp"));
    // System.out.println(str.substring(str.startsWith("|",str.lastIndexOf("|"))));
    }


    @Test
    public void readLog() throws IOException {

        Pattern pattern = Pattern.compile("dbm=(.+?),", Pattern.CASE_INSENSITIVE);

        long start = 1010010000001854L;
        long end = 1010010000001871L;

        String date="2021-05-20";

        while (start <= end) {

         //BufferedReader是可以按行读取文件
            try {

            FileInputStream inputStream = new FileInputStream("E:\\寄存柜\\"+start+"\\Upload\\2021-05\\"+date+".log");
            BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(inputStream));
            StringBuilder sb = new StringBuilder();
            String str = null;
            String startTime = "";
            String endStr = "";

            Boolean first = false;

            int sum = 0;
            int num = 0;
            while ((str = bufferedReader.readLine()) != null) {

                Matcher matcher = pattern.matcher(str);
                // boolean b = matcher.find();
                // System.out.println(matcher.groupCount());
                //System.out.println(matcher.group(0));
                while (matcher.find()) { //此处find（）每次被调用后，会偏移到下一个匹配


                    if (!first) {
                        startTime = str.substring(0, 19);
                        first = true;
                    }

                    endStr = str;

                    String group = matcher.group();
                    Integer dbm = Integer.parseInt(group.substring(4, group.length() - 1));
                    sum += dbm;
                    num++;
                    sb.append(str + "\n");
                }
            }

            int avg = sum / num;

            String endTime = endStr.substring(0, 19);

            sb.append("\n");
            String out = start + "    " + startTime + "~~~" + endTime + "    共获取dbm" + num + "次，平均dbm=" + avg + "";
            sb.append(out);

            System.out.println(out);

            //close
            inputStream.close();
            bufferedReader.close();

            FileWriter writer = new FileWriter("E:\\寄存柜\\"+start+"-"+date+".txt");
            BufferedWriter bw = new BufferedWriter(writer);
            bw.write(sb.toString());

            bw.close();
            writer.close();

            start++;


            }catch (Exception e){
                start++;
              //  e.printStackTrace();
            }
        }

    }


    @Test
    public void regTest() {
        String str = "2021-04-19 04:00:19.230 D / 记录信号强度：SignalLevel{str='错误', level=-1, dbm=-1, mobile='null', iccid='null', imsi='null', android_id='99f6b7f8f464767a', operator='', simState=0, dataState=0, netType=0, ip='192.168.8.129'}";
        Pattern pattern = Pattern.compile("dbm=(.+?),", Pattern.CASE_INSENSITIVE);

        Matcher matcher = pattern.matcher(str);
        // boolean b = matcher.find();
        // System.out.println(matcher.groupCount());
        //System.out.println(matcher.group(0));
        while (matcher.find()) { //此处find（）每次被调用后，会偏移到下一个匹配

            String group = matcher.group();
            System.out.println(group.substring(4, group.length() - 1));

        }

    }


}
