package mortals.mqtt.internal;

import akka.serialization.StringSerializer;
import org.apache.kafka.clients.producer.*;

import java.util.Properties;

/**
 * @author: finegirl
 * @date: 2021/5/8 11:47
 * @description: //TODO 请完善注释信息
 **/
public class MyProducer1 {
    public static void main(String[] args) throws Exception{
        Properties props = new Properties();
        props.put(ProducerConfig.BOOTSTRAP_SERVERS_CONFIG, "vm1:9092,vm2:9092,vm3:9092");
        props.put(ProducerConfig.ACKS_CONFIG, "all");
        props.put(ProducerConfig.RETRIES_CONFIG, 1);
        props.put(ProducerConfig.BATCH_SIZE_CONFIG, 1024 * 32);
        props.put(ProducerConfig.LINGER_MS_CONFIG, 1);
        props.put(ProducerConfig.BUFFER_MEMORY_CONFIG, 32 * 1024 * 1024);
        props.put(ProducerConfig.KEY_SERIALIZER_CLASS_CONFIG, StringSerializer.class.getName());
        props.put(ProducerConfig.VALUE_SERIALIZER_CLASS_CONFIG, StringSerializer.class.getName());
        KafkaProducer<String, String> producer = new KafkaProducer<>(props);
        for (int i = 0; i < 20; i++) {
            producer.send(new ProducerRecord<String, String>("topic_test", Integer.toString(i), "value:" + i));
        }

        producer.close();
    }

// 带回调结果生产者
//    public static void main(String[] args) {
//        Properties props = new Properties();
//        props.put(ProducerConfig.BOOTSTRAP_SERVERS_CONFIG, "vm1:9092,vm2:9092,vm3:9092");
//        props.put(ProducerConfig.ACKS_CONFIG, "all");
//        props.put(ProducerConfig.RETRIES_CONFIG, 1);
//        props.put(ProducerConfig.BATCH_SIZE_CONFIG, 1024 * 32);
//        props.put(ProducerConfig.LINGER_MS_CONFIG, 1);
//        props.put(ProducerConfig.BUFFER_MEMORY_CONFIG, 32 * 1024 * 1024);
//        props.put(ProducerConfig.KEY_SERIALIZER_CLASS_CONFIG, StringSerializer.class.getName());
//        props.put(ProducerConfig.VALUE_SERIALIZER_CLASS_CONFIG, StringSerializer.class.getName());
//        KafkaProducer<String, String> producer = new KafkaProducer<>(props);
//        for (int i = 0; i < 100; i++) {
//            producer.send(new ProducerRecord<String, String>("topic_test", Integer.toString(i), "value:" + i), new Callback() {
//                @Override
//                public void onCompletion(RecordMetadata metadata, Exception exception) {
//                    if (null == exception) {
//                        System.out.println("send success->" + metadata.offset());
//                    } else {
//                        exception.printStackTrace();
//                    }
//                }
//            });
//        }
//        producer.close();
//    }
}