package mortals.mqtt.metric;

import com.codahale.metrics.Metric;

/**
 * Guague是一个接口，只是用来返回一个度量值
 * @param <T>
 *
 *
 *     它包括了
 *
 * 自定义Gauage，返回一个度量值
 * RationGauage，返回一个比率值。
 * Cached Guages
 * Derivative Guages
 *
 */
public interface Gauge<T> extends Metric {
    /**
     * Returns the metric's current value.
     *
     * @return the metric's current value
     */
    T getValue();
}
