package mortals.mqtt.metric;

import com.codahale.metrics.Counting;
import com.codahale.metrics.Metric;

/**
 * @author: finegirl
 * @date: 2021/5/24 15:34
 * @description: //TODO 请完善注释信息
 *
 * 总次数
 * 平均吞吐量（总次数/总时间）
 * 基于一分钟、五分钟和十分钟的指数加权移动平均
 **/
public interface Metered extends Metric, Counting {
    /**
     * Returns
     */
    long getCount();
    /**
     * 平均值
     */
    double getMeanRate();
    /**
     * 15分钟
     */
    double getFifteenMinuteRate();
    /**
     * 5分钟
     */
    double getFiveMinuteRate();
    /**
     * 1分钟
     */
    double getOneMinuteRate();
}