package com.mortals.xhx.module.consumer.model;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.consumer.model.vo.ConsumerGroupVo;
/**
* 服务端订阅消费组实体对象
*
* @author zxfei
* @date 2021-11-09
*/

public class ConsumerGroupEntity extends ConsumerGroupVo {
    private static final long serialVersionUID = 1L;

    /**
    * 用户ID
    */
    private Long customerId;
    /**
    * 消费组名称，消费组名称支持中文、英文字母、日文、数字和下划线（_），长度范围为4~30个字符
    */
    private String consumerGroupName;



    public ConsumerGroupEntity(){}
    /**
    * 获取 用户ID
    * @return Long
    */
    public Long getCustomerId(){
        return customerId;
    }
    /**
    * 设置 用户ID
    * @param customerId
    */
    public void setCustomerId(Long customerId){
        this.customerId = customerId;
    }
    /**
    * 获取 消费组名称，消费组名称支持中文、英文字母、日文、数字和下划线（_），长度范围为4~30个字符
    * @return String
    */
    public String getConsumerGroupName(){
        return consumerGroupName;
    }
    /**
    * 设置 消费组名称，消费组名称支持中文、英文字母、日文、数字和下划线（_），长度范围为4~30个字符
    * @param consumerGroupName
    */
    public void setConsumerGroupName(String consumerGroupName){
        this.consumerGroupName = consumerGroupName;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ConsumerGroupEntity) {
            ConsumerGroupEntity tmp = (ConsumerGroupEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",customerId:").append(getCustomerId());
        sb.append(",consumerGroupName:").append(getConsumerGroupName());
        return sb.toString();
    }

    public void initAttrValue(){
            this.customerId = null;
            this.consumerGroupName = null;
    }
}