package com.mortals.xhx.module.consumer.service.impl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.consumer.dao.ConsumerGroupDao;
import com.mortals.xhx.module.consumer.model.ConsumerGroupEntity;
import com.mortals.xhx.module.consumer.service.ConsumerGroupService;



/**
* ConsumerGroupService
* 服务端订阅消费组 service实现
*
* @author zxfei
* @date 2021-11-09
*/
@Service("consumerGroupService")
public class ConsumerGroupServiceImpl extends AbstractCRUDServiceImpl<ConsumerGroupDao, ConsumerGroupEntity, Long> implements ConsumerGroupService {

    @Override
    protected void saveBefore(ConsumerGroupEntity entity, Context context) throws AppException {
        entity.setCustomerId(entity.getCreateUserId());
        super.saveBefore(entity, context);
    }
}