package com.mortals.xhx.module.product.model;

import java.util.List;
import com.mortals.xhx.module.product.model.ProductFunctionItemDetailEntity;
/**
* 产品物模型节点明细查询对象
*
* @author zxfei
* @date 2021-11-09
*/
public class ProductFunctionItemDetailQuery extends ProductFunctionItemDetailEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 数据类型 */
    private Integer dataTypeStart;

    /** 结束 数据类型 */
    private Integer dataTypeEnd;

    /** 增加 数据类型 */
    private Integer dataTypeIncrement;

    /** 数据类型列表 */
    private List <Integer> dataTypeList;

    /** 数据类型明细信息 */
    private List<String> dataTypeDetailList;

    /** 参数名称 */
    private List<String> parameterNameList;

    /** 标识符 */
    private List<String> detailIdentifierList;

    /** 开始 参数类型，1，输出2，输入 */
    private Integer parameterTypeStart;

    /** 结束 参数类型，1，输出2，输入 */
    private Integer parameterTypeEnd;

    /** 增加 参数类型，1，输出2，输入 */
    private Integer parameterTypeIncrement;

    /** 参数类型，1，输出2，输入列表 */
    private List <Integer> parameterTypeList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 产品ID */
    private Long productIdStart;

    /** 结束 产品ID */
    private Long productIdEnd;

    /** 增加 产品ID */
    private Long productIdIncrement;

    /** 产品ID列表 */
    private List <Long> productIdList;

    /** productKey，平台为产品颁发的全局唯一标识符 */
    private List<String> productKeyList;

    /** 开始 物模型节点主键 */
    private Long functionItemIdStart;

    /** 结束 物模型节点主键 */
    private Long functionItemIdEnd;

    /** 增加 物模型节点主键 */
    private Long functionItemIdIncrement;

    /** 物模型节点主键列表 */
    private List <Long> functionItemIdList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ProductFunctionItemDetailQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ProductFunctionItemDetailQuery> andConditionList;

    public ProductFunctionItemDetailQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 数据类型
    * @return dataTypeStart
    */
    public Integer getDataTypeStart(){
        return this.dataTypeStart;
    }

    /**
    * 设置 开始 数据类型
    * @param dataTypeStart
    */
    public void setDataTypeStart(Integer dataTypeStart){
        this.dataTypeStart = dataTypeStart;
    }

    /**
    * 获取 结束 数据类型
    * @return $dataTypeEnd
    */
    public Integer getDataTypeEnd(){
        return this.dataTypeEnd;
    }

    /**
    * 设置 结束 数据类型
    * @param dataTypeEnd
    */
    public void setDataTypeEnd(Integer dataTypeEnd){
        this.dataTypeEnd = dataTypeEnd;
    }

    /**
    * 获取 增加 数据类型
    * @return dataTypeIncrement
    */
    public Integer getDataTypeIncrement(){
        return this.dataTypeIncrement;
    }

    /**
    * 设置 增加 数据类型
    * @param dataTypeIncrement
    */
    public void setDataTypeIncrement(Integer dataTypeIncrement){
        this.dataTypeIncrement = dataTypeIncrement;
    }

    /**
    * 获取 数据类型
    * @return dataTypeList
    */
    public List<Integer> getDataTypeList(){
        return this.dataTypeList;
    }

    /**
    * 设置 数据类型
    * @param dataTypeList
    */
    public void setDataTypeList(List<Integer> dataTypeList){
        this.dataTypeList = dataTypeList;
    }

    /**
    * 获取 数据类型明细信息
    * @return dataTypeDetailList
    */
    public List<String> getDataTypeDetailList(){
        return this.dataTypeDetailList;
    }

    /**
    * 设置 数据类型明细信息
    * @param dataTypeDetailList
    */
    public void setDataTypeDetailList(List<String> dataTypeDetailList){
        this.dataTypeDetailList = dataTypeDetailList;
    }
    /**
    * 获取 参数名称
    * @return parameterNameList
    */
    public List<String> getParameterNameList(){
        return this.parameterNameList;
    }

    /**
    * 设置 参数名称
    * @param parameterNameList
    */
    public void setParameterNameList(List<String> parameterNameList){
        this.parameterNameList = parameterNameList;
    }
    /**
    * 获取 标识符
    * @return detailIdentifierList
    */
    public List<String> getDetailIdentifierList(){
        return this.detailIdentifierList;
    }

    /**
    * 设置 标识符
    * @param detailIdentifierList
    */
    public void setDetailIdentifierList(List<String> detailIdentifierList){
        this.detailIdentifierList = detailIdentifierList;
    }
    /**
    * 获取 开始 参数类型，1，输出2，输入
    * @return parameterTypeStart
    */
    public Integer getParameterTypeStart(){
        return this.parameterTypeStart;
    }

    /**
    * 设置 开始 参数类型，1，输出2，输入
    * @param parameterTypeStart
    */
    public void setParameterTypeStart(Integer parameterTypeStart){
        this.parameterTypeStart = parameterTypeStart;
    }

    /**
    * 获取 结束 参数类型，1，输出2，输入
    * @return $parameterTypeEnd
    */
    public Integer getParameterTypeEnd(){
        return this.parameterTypeEnd;
    }

    /**
    * 设置 结束 参数类型，1，输出2，输入
    * @param parameterTypeEnd
    */
    public void setParameterTypeEnd(Integer parameterTypeEnd){
        this.parameterTypeEnd = parameterTypeEnd;
    }

    /**
    * 获取 增加 参数类型，1，输出2，输入
    * @return parameterTypeIncrement
    */
    public Integer getParameterTypeIncrement(){
        return this.parameterTypeIncrement;
    }

    /**
    * 设置 增加 参数类型，1，输出2，输入
    * @param parameterTypeIncrement
    */
    public void setParameterTypeIncrement(Integer parameterTypeIncrement){
        this.parameterTypeIncrement = parameterTypeIncrement;
    }

    /**
    * 获取 参数类型，1，输出2，输入
    * @return parameterTypeList
    */
    public List<Integer> getParameterTypeList(){
        return this.parameterTypeList;
    }

    /**
    * 设置 参数类型，1，输出2，输入
    * @param parameterTypeList
    */
    public void setParameterTypeList(List<Integer> parameterTypeList){
        this.parameterTypeList = parameterTypeList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 产品ID
    * @return productIdStart
    */
    public Long getProductIdStart(){
        return this.productIdStart;
    }

    /**
    * 设置 开始 产品ID
    * @param productIdStart
    */
    public void setProductIdStart(Long productIdStart){
        this.productIdStart = productIdStart;
    }

    /**
    * 获取 结束 产品ID
    * @return $productIdEnd
    */
    public Long getProductIdEnd(){
        return this.productIdEnd;
    }

    /**
    * 设置 结束 产品ID
    * @param productIdEnd
    */
    public void setProductIdEnd(Long productIdEnd){
        this.productIdEnd = productIdEnd;
    }

    /**
    * 获取 增加 产品ID
    * @return productIdIncrement
    */
    public Long getProductIdIncrement(){
        return this.productIdIncrement;
    }

    /**
    * 设置 增加 产品ID
    * @param productIdIncrement
    */
    public void setProductIdIncrement(Long productIdIncrement){
        this.productIdIncrement = productIdIncrement;
    }

    /**
    * 获取 产品ID
    * @return productIdList
    */
    public List<Long> getProductIdList(){
        return this.productIdList;
    }

    /**
    * 设置 产品ID
    * @param productIdList
    */
    public void setProductIdList(List<Long> productIdList){
        this.productIdList = productIdList;
    }

    /**
    * 获取 productKey，平台为产品颁发的全局唯一标识符
    * @return productKeyList
    */
    public List<String> getProductKeyList(){
        return this.productKeyList;
    }

    /**
    * 设置 productKey，平台为产品颁发的全局唯一标识符
    * @param productKeyList
    */
    public void setProductKeyList(List<String> productKeyList){
        this.productKeyList = productKeyList;
    }
    /**
    * 获取 开始 物模型节点主键
    * @return functionItemIdStart
    */
    public Long getFunctionItemIdStart(){
        return this.functionItemIdStart;
    }

    /**
    * 设置 开始 物模型节点主键
    * @param functionItemIdStart
    */
    public void setFunctionItemIdStart(Long functionItemIdStart){
        this.functionItemIdStart = functionItemIdStart;
    }

    /**
    * 获取 结束 物模型节点主键
    * @return $functionItemIdEnd
    */
    public Long getFunctionItemIdEnd(){
        return this.functionItemIdEnd;
    }

    /**
    * 设置 结束 物模型节点主键
    * @param functionItemIdEnd
    */
    public void setFunctionItemIdEnd(Long functionItemIdEnd){
        this.functionItemIdEnd = functionItemIdEnd;
    }

    /**
    * 获取 增加 物模型节点主键
    * @return functionItemIdIncrement
    */
    public Long getFunctionItemIdIncrement(){
        return this.functionItemIdIncrement;
    }

    /**
    * 设置 增加 物模型节点主键
    * @param functionItemIdIncrement
    */
    public void setFunctionItemIdIncrement(Long functionItemIdIncrement){
        this.functionItemIdIncrement = functionItemIdIncrement;
    }

    /**
    * 获取 物模型节点主键
    * @return functionItemIdList
    */
    public List<Long> getFunctionItemIdList(){
        return this.functionItemIdList;
    }

    /**
    * 设置 物模型节点主键
    * @param functionItemIdList
    */
    public void setFunctionItemIdList(List<Long> functionItemIdList){
        this.functionItemIdList = functionItemIdList;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public ProductFunctionItemDetailQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public ProductFunctionItemDetailQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public ProductFunctionItemDetailQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public ProductFunctionItemDetailQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public ProductFunctionItemDetailQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  数据类型
    * @param dataType
    */
    public ProductFunctionItemDetailQuery dataType(Integer dataType){
	    setDataType(dataType);
		return this;
    }
	
	 /**
    * 设置 开始 数据类型
    * @param dataTypeStart
    */
    public ProductFunctionItemDetailQuery dataTypeStart(Integer dataTypeStart){
		this.dataTypeStart = dataTypeStart;
		return this;
    }

    /**
    * 设置 结束 数据类型
    * @param dataTypeEnd
    */
    public ProductFunctionItemDetailQuery dataTypeEnd(Integer dataTypeEnd){
		this.dataTypeEnd = dataTypeEnd;
		return this;
    }

    /**
    * 设置 增加 数据类型
    * @param dataTypeIncrement
    */
    public ProductFunctionItemDetailQuery dataTypeIncrement(Integer dataTypeIncrement){
		this.dataTypeIncrement = dataTypeIncrement;
		return this;
    }

    /**
    * 设置 数据类型
    * @param dataTypeList
    */
    public ProductFunctionItemDetailQuery dataTypeList(List<Integer> dataTypeList){
        this.dataTypeList = dataTypeList;
		return this;
        }


	/**
    * 设置 数据类型明细信息
    * @param dataTypeDetail
    */
    public ProductFunctionItemDetailQuery dataTypeDetail(String dataTypeDetail){
        setDataTypeDetail(dataTypeDetail);
		return this;
    }

    /**
    * 设置 数据类型明细信息
    * @param dataTypeDetailList
    */
    public ProductFunctionItemDetailQuery dataTypeDetailList(List<String> dataTypeDetailList){
        this.dataTypeDetailList = dataTypeDetailList;
		return this;
    }


	/**
    * 设置 参数名称
    * @param parameterName
    */
    public ProductFunctionItemDetailQuery parameterName(String parameterName){
        setParameterName(parameterName);
		return this;
    }

    /**
    * 设置 参数名称
    * @param parameterNameList
    */
    public ProductFunctionItemDetailQuery parameterNameList(List<String> parameterNameList){
        this.parameterNameList = parameterNameList;
		return this;
    }


	/**
    * 设置 标识符
    * @param detailIdentifier
    */
    public ProductFunctionItemDetailQuery detailIdentifier(String detailIdentifier){
        setDetailIdentifier(detailIdentifier);
		return this;
    }

    /**
    * 设置 标识符
    * @param detailIdentifierList
    */
    public ProductFunctionItemDetailQuery detailIdentifierList(List<String> detailIdentifierList){
        this.detailIdentifierList = detailIdentifierList;
		return this;
    }

    /**
    * 设置  参数类型，1，输出2，输入
    * @param parameterType
    */
    public ProductFunctionItemDetailQuery parameterType(Integer parameterType){
	    setParameterType(parameterType);
		return this;
    }
	
	 /**
    * 设置 开始 参数类型，1，输出2，输入
    * @param parameterTypeStart
    */
    public ProductFunctionItemDetailQuery parameterTypeStart(Integer parameterTypeStart){
		this.parameterTypeStart = parameterTypeStart;
		return this;
    }

    /**
    * 设置 结束 参数类型，1，输出2，输入
    * @param parameterTypeEnd
    */
    public ProductFunctionItemDetailQuery parameterTypeEnd(Integer parameterTypeEnd){
		this.parameterTypeEnd = parameterTypeEnd;
		return this;
    }

    /**
    * 设置 增加 参数类型，1，输出2，输入
    * @param parameterTypeIncrement
    */
    public ProductFunctionItemDetailQuery parameterTypeIncrement(Integer parameterTypeIncrement){
		this.parameterTypeIncrement = parameterTypeIncrement;
		return this;
    }

    /**
    * 设置 参数类型，1，输出2，输入
    * @param parameterTypeList
    */
    public ProductFunctionItemDetailQuery parameterTypeList(List<Integer> parameterTypeList){
        this.parameterTypeList = parameterTypeList;
		return this;
        }



    /**
    * 设置  产品ID
    * @param productId
    */
    public ProductFunctionItemDetailQuery productId(Long productId){
	    setProductId(productId);
		return this;
    }
	
	 /**
    * 设置 开始 产品ID
    * @param productIdStart
    */
    public ProductFunctionItemDetailQuery productIdStart(Long productIdStart){
		this.productIdStart = productIdStart;
		return this;
    }

    /**
    * 设置 结束 产品ID
    * @param productIdEnd
    */
    public ProductFunctionItemDetailQuery productIdEnd(Long productIdEnd){
		this.productIdEnd = productIdEnd;
		return this;
    }

    /**
    * 设置 增加 产品ID
    * @param productIdIncrement
    */
    public ProductFunctionItemDetailQuery productIdIncrement(Long productIdIncrement){
		this.productIdIncrement = productIdIncrement;
		return this;
    }

    /**
    * 设置 产品ID
    * @param productIdList
    */
    public ProductFunctionItemDetailQuery productIdList(List<Long> productIdList){
        this.productIdList = productIdList;
		return this;
        }


	/**
    * 设置 productKey，平台为产品颁发的全局唯一标识符
    * @param productKey
    */
    public ProductFunctionItemDetailQuery productKey(String productKey){
        setProductKey(productKey);
		return this;
    }

    /**
    * 设置 productKey，平台为产品颁发的全局唯一标识符
    * @param productKeyList
    */
    public ProductFunctionItemDetailQuery productKeyList(List<String> productKeyList){
        this.productKeyList = productKeyList;
		return this;
    }

    /**
    * 设置  物模型节点主键
    * @param functionItemId
    */
    public ProductFunctionItemDetailQuery functionItemId(Long functionItemId){
	    setFunctionItemId(functionItemId);
		return this;
    }
	
	 /**
    * 设置 开始 物模型节点主键
    * @param functionItemIdStart
    */
    public ProductFunctionItemDetailQuery functionItemIdStart(Long functionItemIdStart){
		this.functionItemIdStart = functionItemIdStart;
		return this;
    }

    /**
    * 设置 结束 物模型节点主键
    * @param functionItemIdEnd
    */
    public ProductFunctionItemDetailQuery functionItemIdEnd(Long functionItemIdEnd){
		this.functionItemIdEnd = functionItemIdEnd;
		return this;
    }

    /**
    * 设置 增加 物模型节点主键
    * @param functionItemIdIncrement
    */
    public ProductFunctionItemDetailQuery functionItemIdIncrement(Long functionItemIdIncrement){
		this.functionItemIdIncrement = functionItemIdIncrement;
		return this;
    }

    /**
    * 设置 物模型节点主键
    * @param functionItemIdList
    */
    public ProductFunctionItemDetailQuery functionItemIdList(List<Long> functionItemIdList){
        this.functionItemIdList = functionItemIdList;
		return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ProductFunctionItemDetailQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ProductFunctionItemDetailQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ProductFunctionItemDetailQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ProductFunctionItemDetailQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}