package com.mortals.xhx.service.common.code;

public class Subscription {

    /**
     * 客户端id
     * productkey +"." +deviceNum
     */
    private String clientId;

    /**
     * topic名称 /aaa/bbb
     */
    private String topic;
    
    /**
     * 消息质量
     */
    private int qos;
    
    public Subscription(String clientId, String topic, int qos){
    	this.clientId = clientId;
    	this.topic = topic;
    	this.qos = qos;
    }
    
    public Subscription(){
    	
    }
	public String getClientId() {
		return clientId;
	}
	public void setClientId(String clientId) {
		this.clientId = clientId;
	}
	public String getTopic() {
		return topic;
	}
	public void setTopic(String topic) {
		this.topic = topic;
	}
	public int getQos() {
		return qos;
	}
	public void setQos(int qos) {
		this.qos = qos;
	}
	@Override
	public String toString() {
		return "Subscription [clientId=" + clientId + ", topic=" + topic + ", qos=" + qos + "]";
	}
}
