package com.mortals.xhx.service.handle.dbHandle;


import com.mortals.xhx.module.product.model.ProductFunctionItemEntity;
import com.mortals.xhx.service.msgcodec.model.func.FuncItemEvent;

/**
 * @author shaosheng
 * @date 2021/5/28 下午4:21
 */
public class FuncItemEventHandle extends AbstractFuncItemHandle {

    public FuncItemEventHandle(ProductFunctionItemEntity entity) {
        super(entity);
    }

    public FuncItemEvent buildFuncItemEvent() {
        FuncItemEvent funcItemEvent = new FuncItemEvent();
        buildFuncItemBase(funcItemEvent);
        funcItemEvent.setEventType(entity.getEventType());

        addFunctionItemDetailToFuncItem(selectProductFunctionItemDetail(funcItemEvent.getFuncItemId()),funcItemEvent);

        return funcItemEvent;
    }
}
