package com.mortals.xhx.service.msgcodec.model;

import java.io.Serializable;
import com.alibaba.fastjson.JSONObject;

/**
 * alink响应数据格式
 * @author Administrator
 *
 */
public class MsgDataRsp implements Serializable {

	private static final long serialVersionUID = 5859597555589253709L;
	
	/**
	 * 消息ID号,需定义为String类型的数字，且设备维度唯一
	 */
	private String id;
	
	/**
	 * 结果信息
	 */
	private int code;
	
	/**
	 * 响应参数
	 */
	private JSONObject data;
	
	/**
	 * 请求方法
	 */
	private String message;
	
	/**
	 * 协议版本
	 */
	private String version;
	
	/**
	 * 消息回复的序列号
	 */
	private String msgId;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public JSONObject getData() {
		return data;
	}

	public void setData(JSONObject data) {
		this.data = data;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public String getMsgId() {
		return msgId;
	}

	public void setMsgId(String msgId) {
		this.msgId = msgId;
	}

	@Override
	public String toString() {
		return "MsgDataRsp [id=" + id + ", code=" + code + ", data=" + data + ", message=" + message + ", version="
				+ version + ", msgId=" + msgId + "]";
	}
}
