package com.mortals.xhx.service.msgcodec.model.func;


/**
 * 物模型中属性，事件，服务的参数信息
 * @author shaosheng
 * @date 2021/5/19 下午3:21
 */
public class FuncItemDetail {

    /**
     * 标识符
     */
    private String detailIdentifier;

    /**
     * 参数名称
     */
    private String parameterName;

    /**
     * 数据类型
     */
    private int dataType;

    /**
     * 参数类型
     */
    private int parameterType;

    /**
     * 产品ID
     */
    private long productId;

    /**
     * productKey
     */
    private String productKey;

    /** 物模型节点ID*/
    private long functionItemId;

    /** 数据类型明细信息*/
    private String dataTypeDetail;

    /** */
    private Object dataDetail;

    public String getDetailIdentifier() {
        return detailIdentifier;
    }

    public void setDetailIdentifier(String detailIdentifier) {
        this.detailIdentifier = detailIdentifier;
    }

    public String getParameterName() {
        return parameterName;
    }

    public void setParameterName(String parameterName) {
        this.parameterName = parameterName;
    }

    public int getDataType() {
        return dataType;
    }

    public void setDataType(int dataType) {
        this.dataType = dataType;
    }

    public int getParameterType() {
        return parameterType;
    }

    public void setParameterType(int parameterType) {
        this.parameterType = parameterType;
    }

    public long getProductId() {
        return productId;
    }

    public void setProductId(long productId) {
        this.productId = productId;
    }

    public String getProductKey() {
        return productKey;
    }

    public void setProductKey(String productKey) {
        this.productKey = productKey;
    }

    public long getFunctionItemId() {
        return functionItemId;
    }

    public void setFunctionItemId(long functionItemId) {
        this.functionItemId = functionItemId;
    }

    public String getDataTypeDetail() {
        return dataTypeDetail;
    }

    public void setDataTypeDetail(String dataTypeDetail) {
        this.dataTypeDetail = dataTypeDetail;
    }

    public Object getDataDetail() {
        return dataDetail;
    }

    public void setDataDetail(Object dataDetail) {
        this.dataDetail = dataDetail;
    }
}
